#!/bin/sh

ar cr $ORACLE_HOME/lib/libserver8.a sls.o
ar cr $ORACLE_HOME/lib/libserver8.a opipbr.o
ar cr $ORACLE_HOME/lib/libcommon8.a vsndef.o
ar cr $ORACLE_HOME/lib/libgeneric8.a sskgm.o
ar cr $ORACLE_HOME/lib/libgeneric8.a ksms.o
cp -f demo_rdbms.mk $ORACLE_HOME/rdbms/demo
cp -f ins_utilities.mk $ORACLE_HOME/rdbms/lib
cp -f genksms $ORACLE_HOME/bin
ar tv $ORACLE_HOME/lib/libclient8.a | grep wrap
if [ $? != 0 ]
then
	if [ ! -d ./client-patch ]; then
		mkdir -p ./client-patch
	fi
	cp -f oci7wrapforlinux.o ./client-patch
	cd ./client-patch
	ar xv $ORACLE_HOME/lib/libclient8.a
	rm -f ob*.o oca*.o ocl*.o oco*.o od*.o oe*.o of*.o
	rm -f og*.o ol*.o on*.o oo*.o op*.o or*.o os*.o
	ar cr $ORACLE_HOME/lib/libclient8.a *.o
	rm -f *.o
	cd ..
	rm -rf ./client-patch
fi
cp -f env_otrace.mk $ORACLE_HOME/otrace/lib/
cp -f ins_otrace.mk $ORACLE_HOME/otrace/lib/
cp -f ins_net_server.mk $ORACLE_HOME/network/lib/
ar cr $ORACLE_HOME/lib/libnl8.a snlpspr.o
if [ -f $ORACLE_HOME/svrmgr/mesg/mgrja.msg ]; then
	cp -f mgrja.msg $ORACLE_HOME/svrmgr/mesg/
fi
if [ -f $ORACLE_HOME/svrmgr/mesg/mgrja.msb ]; then
	cp -f mgrja.msb $ORACLE_HOME/svrmgr/mesg/
fi
cp -f mathcalls.h $ORACLE_HOME/precomp/public/bits/
cp -f pcpus.msb $ORACLE_HOME/precomp/mesg/
cp -f pcpus.msg $ORACLE_HOME/precomp/mesg/
cp -f pr2ja.msg $ORACLE_HOME/precomp/mesg/
cp -f pr2ja.msb $ORACLE_HOME/precomp/mesg/
cp -f env_odg.mk $ORACLE_HOME/odg/lib/
$ORACLE_HOME/bin/genclntsh
make -f $ORACLE_HOME/rdbms/lib/ins_rdbms.mk ioracle
make -f $ORACLE_HOME/rdbms/lib/ins_utilities.mk itkprof
make -f $ORACLE_HOME/network/lib/ins_net_server.mk ilsnrctl
